# $Revision: 1.14 $, $Date: 2009/02/23 14:57:23 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%include	/usr/lib/rpm/macros.java
Summary:	An open source data binding framework for Java
Summary(pl.UTF-8):	Szkielet wiązania danych dla Javy
Name:		castor
Version:	1.2
Release:	1
License:	Exolab Software License, BSD-like
Group:		Development/Languages/Java
# http://svn.codehaus.org/castor/castor/
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	3387cdf40b0ab66c1aac1f0fb16ccb5f
Source1:	%{name}.sh
Source2:	%{name}-xml2xsd.sh
URL:		http://castor.codehaus.org/
BuildRequires:	ant
BuildRequires:	ant-trax
BuildRequires:	java-gcj-compat-devel
BuildRequires:  jpackage-utils
BuildRequires:  rpmbuild(macros) >= 1.300
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Castor is an open source data binding framework for Java. It's
basically the shortest path between Java objects, XML documents and
SQL tables. Castor provides Java to XML binding, Java to SQL
persistence, and then some more.

%description -l pl.UTF-8
Castor to mający otwarte źródła szkielet wiązania danych dla Javy.
Jest zasadniczo najkrótszą ścieżką między obiektami Javy, dokumentami
XML a tabelami SQL. Castor udostępnia wiązania Javy do XML-a,
utrzymywanie Javy do SQL-a i nieco więcej.

%package test
Summary:	Tests for %{name}
Summary(pl.UTF-8):	Testy dla pakietu %{name}
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	junit

%description test
Tests for %{name}.

%description test -l pl.UTF-8
Testy dla pakietu %{name}.

%package xml
Summary:	XML support for Castor
Summary(pl.UTF-8):	Obsługa XML-a dla Castora
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description xml
XML support for Castor.

%description xml -l pl.UTF-8
Obsługa XML-a dla Castora.

%package javadoc
Summary:	Javadoc for %{name}
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Javadoc for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu %{name}.

%package doc
Summary:	Documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja dla pakietu %{name}
Group:		Documentation

%description doc
Documentation for %{name}.

%description doc -l pl.UTF-8
Dokumentacja dla pakietu %{name}.

%prep
%setup -q

%build

export SHELL=/bin/sh
cd src
%ant -Dbuild.compiler=extJavac jar.all
%ant javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}/castor/lib
install dist/castor-%{version}-tests.jar            $RPM_BUILD_ROOT%{_javadir}/castor/tests.jar
install dist/castor-%{version}-jdo.jar              $RPM_BUILD_ROOT%{_javadir}/castor/jdo.jar
install dist/castor-%{version}-ddlgen.jar           $RPM_BUILD_ROOT%{_javadir}/castor/ddlgen.jar
install dist/castor-%{version}-xml.jar              $RPM_BUILD_ROOT%{_javadir}/castor/xml.jar
install dist/castor-%{version}-codegen.jar          $RPM_BUILD_ROOT%{_javadir}/castor/codegen.jar
install dist/castor-%{version}-examples.jar         $RPM_BUILD_ROOT%{_javadir}/castor/examples.jar
install dist/castor-%{version}-commons.jar          $RPM_BUILD_ROOT%{_javadir}/castor/commons.jar
install dist/castor-%{version}-examples-sources.jar $RPM_BUILD_ROOT%{_javadir}/castor/examples-sources.jar
install dist/castor-%{version}-anttasks.jar         $RPM_BUILD_ROOT%{_javadir}/castor/anttasks.jar
install dist/castor-%{version}-xml-schema.jar       $RPM_BUILD_ROOT%{_javadir}/castor/xml-schema.jar
install dist/castor-%{version}.jar                  $RPM_BUILD_ROOT%{_javadir}/castor-%{name}.jar

cp -a lib/*.jar $RPM_BUILD_ROOT%{_javadir}/castor/lib

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

# do this last, since it will delete all build directories
export CLASSPATH=%(build-classpath adaptx)
%ant -buildfile src/build.xml doc

# shell wrappers
install -d $RPM_BUILD_ROOT%{_bindir}
install %SOURCE1 $RPM_BUILD_ROOT%{_bindir}/castor
install %SOURCE2 $RPM_BUILD_ROOT%{_bindir}/xml2xsd

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc src/etc/CHANGELOG
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/xml2xsd
%{_javadir}/castor
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%files doc
%defattr(644,root,root,755)
%doc build/doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: castor.spec,v $
Revision 1.14  2009/02/23 14:57:23  pawelz
- rel 1

Revision 1.13  2009/02/23 14:37:50  pawelz
- added wrapper scripts
- adapterized

Revision 1.12  2009/02/20 19:46:18  pawelz
- comment about Source0 origin. It is version from svn, because tarball
  seems to be incomplete

Revision 1.11  2009/02/20 19:43:27  pawelz
- up to 1.2
- %%build and %%install sections rewritten
- NFY

Revision 1.10  2007/11/20 18:03:40  glen
- java deps; adapter

Revision 1.9  2007/04/19 20:46:29  glen
- truncate non-cvs changelog

Revision 1.8  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/12/07 23:32:19  darekr
- BR: perl-base

Revision 1.5  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.4  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.3  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.2  2006/05/15 21:58:47  qboosh
- pl, killed bashism

Revision 1.1  2006/05/10 23:24:03  glen
- NFY
